using Siger.Middlelayer.Utility.ExcelImport;

namespace Siger.Middlelayer.Utility.ImportEntities
{
    public class ProducePlanList : ImportBase
    {
        [ExcelColumn("产品名称")]
        [EmptyValidate("ProductNameIsEmpty")]
        public string ProductName { get; set; }

        [ExcelColumn("图纸号")]
        [EmptyValidate("ProductDrawCodeIsEmpty")]
        public string ProductDrawingCode { get; set; }

        [ExcelColumn("产品编号")]
        [EmptyValidate("ProductCodeIsEmpty")]
        public string ProductCode { get; set; }

        [ExcelColumn("料号")]
        [EmptyValidate("PartNumberIsEmpty")]
        public string PartNumber { get; set; }

        [ExcelColumn("生产令号")]
        [EmptyValidate("OrderNumberIsEmpty")]
        public string OrderNumber { get; set; }

        [ExcelColumn("工单号")]
        //[EmptyValidate("WorkOrderIsEmpty")]
        public string Code { get; set; }

        [ExcelColumn("工单类型")]
        [EmptyValidate("WorkOrderTypeIsEmpty")]
        public string WorkOrderType { get; set; }

        [ExcelColumn("装机数量")]
        public string InstallCount { get; set; }

        [ExcelColumn("订单数量")]
        //[RegularExpressionValidate("/[1-9]*[1-9][0-9]*$/", "QuantityIsInt")]
        public string Quantity { get; set; }

        [ExcelColumn("交付时间")]
        [EmptyValidate("DeliveryTimeIsEmpty")]
        public string DeliveryTime { get; set; }
    }
}
